﻿import request from '/@/utils/request';
enum Api {
  AddWcsAlarmInfo = '/api/wcsAlarmInfo/add',
  DeleteWcsAlarmInfo = '/api/wcsAlarmInfo/delete',
  UpdateWcsAlarmInfo = '/api/wcsAlarmInfo/update',
  PageWcsAlarmInfo = '/api/wcsAlarmInfo/page',
  DetailWcsAlarmInfo = '/api/wcsAlarmInfo/detail',
}

// 增加报警信息表
export const addWcsAlarmInfo = (params?: any) =>
	request({
		url: Api.AddWcsAlarmInfo,
		method: 'post',
		data: params,
	});

// 删除报警信息表
export const deleteWcsAlarmInfo = (params?: any) => 
	request({
			url: Api.DeleteWcsAlarmInfo,
			method: 'post',
			data: params,
		});

// 编辑报警信息表
export const updateWcsAlarmInfo = (params?: any) => 
	request({
			url: Api.UpdateWcsAlarmInfo,
			method: 'post',
			data: params,
		});

// 分页查询报警信息表
export const pageWcsAlarmInfo = (params?: any) => 
	request({
			url: Api.PageWcsAlarmInfo,
			method: 'post',
			data: params,
		});

// 详情报警信息表
export const detailWcsAlarmInfo = (id: any) => 
	request({
			url: Api.DetailWcsAlarmInfo,
			method: 'get',
			data: { id },
		});


